These are chat archives for VundleVim/Vundle.vim

10th
Jun 2015
Hoe-Phuan Ng
@FriendOfFatBeagle
Jun 10 2015 18:24

I have successfully installed plugin 'google/vim-colorscheme-primary' like so in Vundle:
In ~/.vim/vimrc
... ... ...
call vundle#begin()
"========== Begin: My Plugins =================
"Plugin fromGitHub repo
Plugin 'google/vim-colorscheme-primary'

synta

x enable
set t_Co=256
set background=light

"For dark mode, use set background=dark instead of light
colorscheme primary

"========== End: My Plugins =================
" All of your Plugins must be added before the following line
call vundle#end() " required
... ... ...

Below is listed using Vundle command : PluginList

" My Plugins
Plugin 'gmarik/Vundle.vim'
Plugin 'tpope/vim-fugitive'
Plugin 'rstacruz/sparkup'
Plugin 'google/vim-colorscheme-primary'

But when I ran:
gvim .vimrc

I got this error:

~/.vim $ gvim vimrc
Error detected while processing /home/foffb/.vim/vimrc:
line 44:
E185: Cannot find color scheme 'primary'
~/.vim $ ls
bundle vimrc
~/.vim $ cd bundle
~/.vim/bundle $ ls
sparkup vim-colorscheme-primary vim-fugitive Vundle.vim
~/.vim/bundle $ cd vim-colorscheme-primary/
~/.vim/bundle/vim-colorscheme-primary $ ls
colors CONTRIBUTING.md doc LICENSE.md README.md screenshots
~/.vim/bundle/vim-colorscheme-primary $
Hoe-Phuan Ng
@FriendOfFatBeagle
Jun 10 2015 18:31
Forgot to mention I use Linux Mint 17.1.